> ## Documentation Index
> Fetch the complete documentation index at: https://docs.soyab.uk/llms.txt
> Use this file to discover all available pages before exploring further.

# Cooking



## OpenAPI

````yaml cherrytree/openapi.json get /cooking
openapi: 3.1.0
info:
  title: CherryTree API
  description: An API created by decompiling the CherryTree Android App
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://cherrytree.soyab.uk
security: []
paths:
  /cooking:
    get:
      summary: Cooking
      responses:
        '200':
          description: 200 Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Cooking'
components:
  schemas:
    Cooking:
      type: object
      properties:
        total:
          type: number
        results:
          items:
            type: object
            properties:
              id:
                type: number
              itemId:
                type: number
              name:
                type: string
              burntId:
                type: number
              burnt:
                type: string
              requiredLevel:
                type: number
              burntLevel:
                type: number
              burntChance:
                type: number
              cookingExp:
                type: number
              materials:
                type: array
                items:
                  type: object
                  properties:
                    itemId:
                      type: number
                    name:
                      type: string
                  required:
                    - itemId
                    - name
            required:
              - id
              - itemId
              - name
              - burntId
              - burnt
              - requiredLevel
              - burntLevel
              - burntChance
              - cookingExp
              - materials
      required:
        - total
        - results

````